cURL
curl "https://api.neuraldraft.io/v1/content/hero.headline?lang=fr" \
-H "Authorization: Bearer ndsk_live_yourkey"const v = await nd.content.get("hero.headline", { lang: "fr" });
v = requests.get(
"https://api.neuraldraft.io/v1/content/hero.headline",
params={"lang": "fr"},
headers={"Authorization": f"Bearer {key}"},
).json()
<?php
$v = json_decode((string) $client->get('content/hero.headline', [
'query' => ['lang' => 'fr'],
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"key": "hero.headline",
"value": "Find your calm, one breath at a time",
"lang": "en",
"all_locales": {
"en": "Find your calm, one breath at a time",
"fr": "Trouvez votre calme, une respiration à la fois",
"de": "Finden Sie Ihre Ruhe, einen Atemzug nach dem anderen"
}
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Content
Read a single content value
Returns the resolved value for the given key in the requested language, plus all available locales for the key.
Read-only. Does not consume credits.
GET
/
content
/
{key}
cURL
curl "https://api.neuraldraft.io/v1/content/hero.headline?lang=fr" \
-H "Authorization: Bearer ndsk_live_yourkey"const v = await nd.content.get("hero.headline", { lang: "fr" });
v = requests.get(
"https://api.neuraldraft.io/v1/content/hero.headline",
params={"lang": "fr"},
headers={"Authorization": f"Bearer {key}"},
).json()
<?php
$v = json_decode((string) $client->get('content/hero.headline', [
'query' => ['lang' => 'fr'],
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"key": "hero.headline",
"value": "Find your calm, one breath at a time",
"lang": "en",
"all_locales": {
"en": "Find your calm, one breath at a time",
"fr": "Trouvez votre calme, une respiration à la fois",
"de": "Finden Sie Ihre Ruhe, einen Atemzug nach dem anderen"
}
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Path Parameters
Translation key in dot.notation.
Example:
"hero.headline"
Query Parameters
BCP-47 language tag. Defaults to project default.
Example:
"en"
Response
The content value.